package com.yiqi.common.enums;


public enum ClothOrderStatusType implements CodeEnum{

     APPOINTMENT("0", "待接单")
    , WAITING_TO_DOOR("1","待上门")
    , HAS_TO_DOOR("2","待取衣")
    , HAS_TAKING("3", "已取衣、待定价")
    , WAITING_FOR_PAY("4", "已定价、待支付")
    , WAIT_FACTORY("5", "待入厂")
    , WASHING("6", "清洗中")
    , HAS_WASH("7", "已出厂")
    , WAITING_FOR_HANG("8", "已到店")
    , WAITING_TO_SEND("9","待送衣")
    , SENDING("10", "送衣中")
    , WAITING_FOR_COMMENT("11", "待评价")
    , FINISH("12", "已完成")
    , CANCEL("100", "已取消");

    private final String code;
    private final String info;

    ClothOrderStatusType(String code, String info)
    {
        this.code = code;
        this.info = info;
    }

    @Override
    public String getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }
}